Subject: [Cfrg] FW: draft-irtf-cfrg-eddsa - verification signature options

From: Jim Schaad <[email-masked]>
Date: Sat, 9 Jul 2016 16:34:27 -0700

Forgot to CC the research group

> -----Original Message-----
> From: Jim Schaad [mailto:[email-masked]]
> Sent: Saturday, July 09, 2016 4:34 PM
> To: [email-masked]'
<[email-masked]>
> Subject: draft-irtf-cfrg-eddsa - verification signature options
> 
> Please discuss the trade off so I can know which I should be implementing
for
> step #3 in section 5.1.7 discussing verification of signatures.
> 
> There are two equations given for checking the result.  However, there is
no
> discussion of the tradeoffs between the two equations.   It appears to me
that
> the only difference is some extra scalar multiplication that should never
change
> the result, and there should be skipped for the purpose of speed.  This is
not the
> formula that is given first and I would assume has preference for some
reason.
> Jim